Mi az a PHP, és mi köze a honlapomhoz?

 

A PHP egy programozási nyelv, a WordPress honlapok alapja.

A verzió frissítés nem WordPress oldali feladat, tehát nem tudjuk az admin felületről beállítani!

A figyelmeztető üzenetet viszont már egyből belépés után, a Vezérlőpulton megtaláljuk.

PHP frissítés szükséges – üzenet a WP adminban

PHP frissítés szükséges – Vezérlőpult

 

Ezen felül az Eszközök – Webhely egészség menüpontban is kritikus hibaként találkozhatunk az üzenettel:

A tárhely a PHP egy elavult verzióját futtatja, amit frissíteni kell. A PHP egy programozási nyelv, amelyet a WordPress építéséhez és karbantartásához is használunk. A PHP legújabb verziója gyorsabb és biztonságosabb, így a naprakészen tartása a webhely sebességét és biztonságát segíti. A WordPress használatához minimálisan a PHP 7.4 verzióját ajánljuk.

Ez azt jelenti, hogy ha a tárhelyen 7.4 alatti PHP verzió fut, akkor szükséges a frissítés.

Itt egyébként az aktuális PHP verziódat is láthatod, amit nem árt felírnod – ha gond van, tudd, honnan indultál, illetve hová kell visszanyúlni.

Jelenleg nagyon sok weboldal 7.0-7.3 PHP verzión fut, amivel egyébként tudnak még működni. Ami tilos, és a frissebb WP verziókkal már nem is működik, az az 5-ös PHP futtatása – ezt kizárólag nagyon elavult WP motorral tudod még használni, de így gyakorlatilag kitártad az ajtót a betörőknek.

 

Miért jó nekem ez a PHP frissítés?

Ugyanúgy, ahogyan (remélhetőleg) a WordPress motort, a sablont és a bővítményeket frissíted, a háttérben futó rendszert is karban kell tartani.

A legfrissebb PHP verzióval a honlapod:

  • gyorsabb,
  • biztonságosabb,
  • stabilabb lesz.

Nem is szólva arról, hogy előbb-utóbb muszáj lesz megoldanod a frissítést, mert a WordPress és a bővítményeid megkövetelik – egyszerűen nem, vagy hibásan fognak működni az elavult háttér-rendszeren.

 

Mit tegyél?

 

Két lehetőséged van.

1. Írsz a tárhely szolgáltatódnak

Ez első hallásra klassznak tűnik, azonban van hátulütője is. Ha bármi félrecsúszik, összeomlik, elromlik, nincs a kezedben a teljes kontroll. Akár napok is eltelhetnek úgy, hogy az egész weboldalad egy kínos, működésképtelen katyvasz.

Gondolj csak bele: Írsz a tárhely-szolgáltatódnak -> ők valamikor megcsinálják a verzió-frissítést -> visszaírnak -> valamikor elolvasod -> valamikor megnézed, leteszteled a honlapod -> ha hibát találsz, visszaírsz -> majd valamikor visszaállítják az eredeti PHP-t, ami még működött – És az egész hercehurca végén pont ott vagy, ahonnan indultál.

Történhet ez persze másként is, lehet, hogy minden zökkenőmentesen, gyorsan lezajlik. Az életből azonban tudjuk, hogy ez a lehető legritkábban történik így… ;)

 

2. Megcsinálod te magad

Mielőtt nekilátnál (egyáltalán mindig, mielőtt bármit is csinálsz a honlapoddal) készíts BIZTONSÁGI MENTÉST! Igen, ez a mániám, de egyszerűen nem lehet elégszer elmondani.
A biztonsági mentéssel magadat óvod meg, így ha számít az időd és a pénzed, legyen mindig friss biztonsági mentésed!

A második fontos dolog, hogy a honlapodon frissíts mindent, mielőtt belekezdesz! A WordPress motort, a sablonokat és a bővítményeket is!
A WordPress frissítésről itt találsz pontos információkat

Ha kifejezetten biztonság-kereső típus vagy, akkor itt még egy lépést beiktathatsz: telepítsd a PHP Compatibility Checker nevű bővítményt, és ellenőrizd, hogy a honlapod minden összetevője kompatibilis-e az új verzióval.
Fontos, hogy a bővítmény is tévedhet, így az eredményt ne tekintsd 100%-os biztonságnak, de azért nagyjából kaphatsz egy képet. Ha a sablonod, vagy valamely plugin (bővítmény) biztosan nem fog együttműködni az új PHP-val, keress egy másikat, amire cserélheted. Vagy írj a fejlesztőnek, hogy frissítse. Vagy… Várhatsz is, hátha előbb-utóbb frissül.

Itt jegyezném meg, hogy ha fizettél egy sablonért, vagy bővítményért, akkor elvárható, hogy a készítői up-to-date tartsák. Ha ingyenes cuccról van szó, akkor minél népszerűbb a sablon/bővítmény, annál nagyobb az esélye, hogy állandóan fejlesztik.

 

Oké, ha ezzel készen vagyunk, akkor vágjunk bele!

A tárhelyek viszonylag sokféle ügyfél-admint alkalmaznak, most csak a legnépszerűbbet, a cPanel felületet nézzük meg.
Ha nincs cPaneled, akkor is jó eséllyel találsz az ügyfélkapudban valami erre utalót, a Médiacenternél például “PHP beállítások” néven fut – ilyet keress!

 

cPanel PHP frissítés

 

Keresd meg a Szoftver – Select PHP Version gombot, kattints rá, és kövesd az alábbi lépéseket!

PHP SELECTOR gomb cPanel

PHP SELECTOR

 

verzió kiválasztása php selectorban

Gördítsd le, és kattints a választott verzióra – javasolt a 7.4

 

Beállítás aktuálisként gomb

Kattints: Beállítás aktuálisként, vagy Set as current

 

 

Ha nem találtál ilyen PHP Selector gombot a cPanel-edben, akkor bizonyosan találsz ilyet: MultiPHP Manager

 

MultiPHP Manager gomb a cpanelen

MultiPHP Manager

 

Kattints rá, és az alábbi képen látható három lépésben szintén elvégezheted a PHP frissítést:

 

1. Pipáld ki a domaint (egyet, vagy az összeset)
2. Gördíts, és válaszd ki a PHP verziót – javasolt a 7.4, de ha nagyon alacsonyról indulsz, lépésenként is haladhatsz, mindig eggyel feljebb véve a verziószámot
3. Katt: Alkalmazás/Apply

 

Huhh, ezzel meg is volnánk…

 

Ellenőrzés

 

Most nézz rá a honlapodra (csuriba az ujjakat :)) – Működik?

Ha igen, akkor kattintsd végig a menüpontokat, teszteld végig a folyamatokat: az űrlapokat, a vásárlási folyamatot (ha van), és minden egyéb funkciót, ami létezik a weblapodon.

Ahhoz, hogy biztosan megnyugodhass, célszerű várni 5-10 percet a teszteléssel, illetve ürítsd a böngésződ gyorsítótárát, nehogy a cache-elt változatot ellenőrizd le.

 

Mit tehetsz, ha baj van?

 

Elképzelhető, hogy az egész mindenség eltűnik, vagy a honlapod helyén csak egy hibaüzenet vár.

Ne ess kétségbe, állítsd vissza az előző, még működő PHP verziót, és minden helyre jön!

(Ha esetleg mégsem, bár ennek szinte semmi esélye, akkor még mindig ott van a visszaállítható biztonsági mentésed.)

Ha csak egy-egy plugin működik hibásan, akkor célszerű lecserélni egy másik, hasonló funkciót ellátó bővítményre.

 

Ha tehát visszaállítottad az eredeti verziót, és rendbejött a honlapod, el kell kezdened keresgélni, mi okozhatja a bajt.

Ez már néha mélyebb ismereteket, és sokszor rengeteg időt vesz igénybe, de a következőket megpróbálhatod:

– Több lépésben frissíteni a PHP-t, mindig csak eggyel növelve az értéket – annál állj meg, ami a legmagasabb, működőképes verziószám.
– Keress rá a Google-ben a hibaüzenetre.
– A bővítményeket egyesével kikapcsolgatva próbálj frissíteni, így ki tudod szűrni, ha ezek között van a hiba forrása.

 

PHP frissítésre fel, reméljük, hogy minden a legjobban alakul! :)

 

Ha biztonságosabbnak éreznéd ezt a feladatot szakemberre bízni, a Honlap fenntartás szolgáltatás keretében ezt is megoldjuk neked!

 

Oszd meg, ha tetszett!
INSTAGRAM
Twitter
Visit Us
Follow Me
LINKEDIN
Share
RSS
Feliratkozás

Igen, mi is használunk sütiket, de nagyon keveset. :) A honlap további használatához a sütiket el kell fogadni. További információ

A süti beállítások ennél a honlapnál engedélyezett a legjobb felhasználói élmény érdekében. Amennyiben a beállítás változtatása nélkül kerül sor a honlap használatára, vagy az "Elfogadás" gombra történik kattintás, azzal a felhasználó elfogadja a sütik használatát.

Bezárás